package client.renderer;

import client.renderer.chunk.BlockLayer;

public class RegionRenderCacheBuilder
{
    private final RenderBuffer[] buffers = new RenderBuffer[BlockLayer.values().length];

    public RegionRenderCacheBuilder()
    {
        this.buffers[BlockLayer.SOLID.ordinal()] = new RenderBuffer(2097152);
        this.buffers[BlockLayer.CUTOUT.ordinal()] = new RenderBuffer(524288);
    }

    public RenderBuffer getWorldRendererByLayer(BlockLayer layer)
    {
        return this.buffers[layer.ordinal()];
    }

    public RenderBuffer getWorldRendererByLayerId(int id)
    {
        return this.buffers[id];
    }
}
